#!/bin/sh
# 160714

cp /root/.jwmrc-tray /root/.jwmrc-tray~
# make PupClockset/minixcal clickable in the tray
ada=`grep PupClockset /root/.jwmrc-tray`
if [ "$ada" != "" ];then
sed -i 's/>PupClockset/>exec:PupClockset/' /root/.jwmrc-tray
else
sed -i 's/>minixcal/>exec:minixcal/' /root/.jwmrc-tray
fi

# add stickyjwm to last line in jwmrc-personal
sed -i '$i<Include>/root/.jwm/stickyjwm</Include>' /root/.jwm/jwmrc-personal

# close Puppy Logout By pressing Esc
sed -i '/<\/window/i \
 <action signal="key-press-event" condition="command_is_true([ $KEY_SYM = Escape ] && echo true )">exit:EXIT</action>' /usr/sbin/logout_gui

# change icon start menu
sed -i "s/^.*Menu.*$/<TrayButton label=\"Menu\" icon=\"logolimuks\.svg\" border=\"true\">root\:3<\/TrayButton\>/" /root/.jwmrc-tray


#add wmctrl bin if there are no wmctrl inside puppy
if [[ `which wmctrl` == "" ]];
then
	mv /usr/bin/wmctrlku /usr/bin/wmctrl
else
	rm /usr/bin/wmctrlku
fi

#show a boundary box to select a file/folder in rox
echo "
#show a boundary box to select a file/folder in rox
#edited by recobayu
style \"theme-focusku\"
{
  engine \"pixmap\" 
  {
    image 
    {
        function= FOCUS
		file    = \"puppy-reference/midi-icons/select.png\"
		border  = { 6, 6, 6, 6 }
		stretch = TRUE
    }
  }
}
widget_class \"*Collection*\" style \"theme-focusku\"
">>/root/.gtkrc.mine

jwm -restart
Xdialog --title "limuks 16.07.14" --msgbox "limuks 16.07.14
(puppy more friendly)


Winkey + Arrow = stickyjwm-4.1
Ctrl + Winkey + Arrow = maximize, maxleft, maxbottom, & maxright
Ctrl + Alt + Arrow = go to another workspace
Shift + Ctrl + Alt + Arrow = teleport window to another workspace
Alt + Tab and Shift + Alt + Tab = nextstacked and prevstacked

Winkey + space = Mukstart-4.3.2.2
Ctrl + Alt + T = terminal
Winkey + E = Explorer
Winkey + F4 = Puppy Logout (close it by pressing Esc)
So much Geany theme
clickable PupClockset on the tray

We can try all of that right now on this window.
But for all effect, restart X server.

Rox filer:
F2 = rename
F5 = refresh
Shift + Ctrl + N = New folder
Ctrl + T = New Tab (actually new window)
Del = Delete (No confuse anymore with cut.. ^_^')
Add boundary box when select with keyboard arrow

Check this out!
Add wdz-10.1 gtktheme and jwmrc theme.

160714
This is for new jwm v-2.3.5. (tested on xenialpup)
Edit shortcut in /root/.jwm/stickyjwm
:)
Recobayu" 0 0

mukstart